/* zlib_armlet.h - interface into zlib armlet code
 */

#ifndef _ZLIB_ARMLET_H
#define _ZLIB_ARMLET_H


/* The ZLib functions implemented in the ARMlet */
#define ZLAF_DEFLATEINIT2 1
#define ZLAF_DEFLATE 2
#define ZLAF_DEFLATEEND 3
#define ZLAF_INFLATEINIT2 4
#define ZLAF_INFLATE 5
#define ZLAF_INFLATEEND 6


/* Structure used to pass parameters into the ARMlet */
typedef struct zlib_armlet_params_s
{
  long * gotP;             /* Pointer to the global offset table */
  unsigned long function;  /* Index of the ZLib function to be called */

  /* Parameters to the ZLib functions */
  z_streamp strm;
  unsigned long flush;
  long windowBits;
  char * version;
  long level;
  long method;
  long memLevel;
  long strategy;

} zlib_armlet_params;


#endif /* _ZLIB_ARMLET_H */

